complexType "TradeChangeAdvice"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 attributes, 12 elements
Defined: | globally in fpml-confirmation-processes-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "2"
| >
Content: | header, validation*, isCorrection, (parentCorrelationId?, correlationId, sequenceNumber)?, onBehalfOf?, change, quote+?, paymentDetails*, party+, account*
</...>

Content Model Elements (12):

  account,
  change (in tradeChangeAdvice),
  correlationId,
  header (defined in RequestMessage complexType),
  isCorrection (defined in CorrectableRequestMessage complexType),
  onBehalfOf (defined in OnBehalfOf.model group),
  parentCorrelationId,
  party,
  paymentDetails (in tradeChangeAdvice),
  quote (defined in EventValuation.model group),
  sequenceNumber (defined in Sequence.model group),
  validation

All Direct / Indirect Based Elements (1):

  tradeChangeAdvice

Known Usage Locations

- As direct type of elements (1):
  tradeChangeAdvice

Annotation
Defines the structure for a message indicating that a trade is being changed due to a non-negotiated event.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) CorrectableRequestMessage (extension) TradeChangeAdvice

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="TradeChangeAdvice"> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <xsd:element name="change" type="TradeChangeContent"/> <xsd:group minOccurs="0" ref="EventValuation.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="paymentDetails" type="PaymentDetails"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/12)
change

  Type: | TradeChangeContent, complex content

  Describes the details of the change.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="change" type="TradeChangeContent"/>

paymentDetails

  Type: | PaymentDetails, complex content

  Details of the payments, like amount breakdowns, settlement information.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="paymentDetails" type="PaymentDetails"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.